Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::SeparatorToolItem Class Reference

A GtkSeparatorToolItem C++ wrapper class. More...

`#include <xfc/gtk/separatortoolitem.hh>`

Inheritance diagram for Xfc::Gtk::SeparatorToolItem:

List of all members.

## Public Member Functions

Constructors

- SeparatorToolItem ()
    Constructs a new separator tool item.
- virtual ~SeparatorToolItem ()
    Destructor.

Accessors

- GtkSeparatorToolItem * gtk_separator_tool_item () const
    Get a pointer to the GtkSeparatorToolItem structure.
- operator GtkSeparatorToolItem * () const
    Conversion operator; safely converts an SeparatorToolItem to a GtkSeparatorToolItem pointer.
- bool get_draw () const
    Determines whether the separator tool item is drawn as a line, or just blank (see set_draw()).

Methods

- void set_draw (bool draw)
    Sets whether the separator tool item is drawn as a vertical line, or just blank.

## Protected Member Functions

Constructors

- SeparatorToolItem (GtkSeparatorToolItem *item, bool owns_reference=false)
    Construct a new SeparatorToolItem from an existing GtkSeparatorToolItem.

## Detailed Description

A GtkSeparatorToolItem C++ wrapper class.

SeparatorToolItem is a tool item that separates groups of other ToolItems. Depending on the theme, a SeparatorToolItem will often look like a vertical line on horizontally docked toolbars.

If the property 'expand' is true and the property 'draw' is false, a SeparatorToolItem will act as a "spring" that forces other items to the ends of the toolbar.

See also: the ToolItems HOWTO.

## Constructor & Destructor Documentation

Xfc::Gtk::SeparatorToolItem::SeparatorToolItem | ( | GtkSeparatorToolItem * | item,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new SeparatorToolItem from an existing GtkSeparatorToolItem.

Parameters:

  | item | A pointer to a GtkSeparatorToolItem.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The item can be a newly created GtkSeparatorToolItem or an existing SeparatorToolItem (see G::Object::Object).

## Member Function Documentation

bool Xfc::Gtk::SeparatorToolItem::get_draw | ( |  | ) | const

Determines whether the separator tool item is drawn as a line, or just blank (see set_draw()).

Returns:
  true if the separator tool item is drawn as a line.

void Xfc::Gtk::SeparatorToolItem::set_draw | ( | bool | draw | ) |

Sets whether the separator tool item is drawn as a vertical line, or just blank.

Parameters:

  | draw | Whether the separator tool item is drawn as a vertical line.

Setting draw false along with Gtk::ToolItem::set_expand() is useful to create an item that forces following items to the end of the toolbar.

The documentation for this class was generated from the following file:

- separatortoolitem.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3